#ifndef __UTILITY_H__
#define __UTILITY_H__

//These 2 defines are needed by ps2link.c and fsclient.c to properly resolve
//some issues with differing compiler and OS standards of binary vs text file
//defaults. Both CygWin and MinGW need to specify binary mode explicitly, as
//an additional argument when opening a file.

 #define __MINGW32__ 1
// #define __CYGWIN__ 1

 #define PACKED __attribute__((packed))

 ///////////////////////
 // UTILITY FUNCTIONS //
 ///////////////////////

 int fix_flags(int flags);

 int fix_pathname(char *pathname);

 int fix_argv(char *destination, char **argv);

 int print_usage(void);

#endif
